//-----------------------------------------------------------------------------
// File:     StandardHeadersAndNamespace.h
// Purpose:  Includes the standard c-language header files
// Author:   Paul Mitiguy - April 1, 2007
//-----------------------------------------------------------------------------
// The following are standard C/C++ header files.
// If a filename is enclosed inside < >  it means the header file is in the Include directory.
// If a filename is enclosed inside " "  it means the header file is in the current directory.
//-----------------------------------------------------------------------------
#ifndef __CSTANDARDHEADERS_H__
#define __CSTANDARDHEADERS_H__
//-----------------------------------------------------------------------------
#include <ctype.h>      // Character Types
#include <math.h>       // Mathematical Constants
#include <stdarg.h>     // Variable Argument Lists
#include <stdio.h>      // Standard Input/Output Functions
#include <stdlib.h>     // Utility Functions
#include <string.h>     // String Operations
#include <signal.h>     // Signals (Contol-C + Unix System Calls)
#include <setjmp.h>     // Nonlocal Goto (For Control-C)
#include <time.h>       // Time and Date information
#include <assert.h>     // Verify Program Assertion
#include <errno.h>      // Error Codes (Used in Unix system())
#include <float.h>      // Floating Point Constants
#include <limits.h>     // Implementation Constants
#include <stddef.h>     // Standard Definitions
#include <exception>    // Exception handling (e.g., try, catch throw)

using namespace std;    // Allow use of standard namespace without std::InFrontOfFunctions 
//-----------------------------------------------------------------------------
#endif  /* __CSTANDARDHEADERS_H__ */
//-----------------------------------------------------------------------------

